/******************************************************************************
 *
 * AMDiS - Adaptive multidimensional simulations
 *
 * Copyright (C) 2013 Dresden University of Technology. All Rights Reserved.
 * Web: https://fusionforge.zih.tu-dresden.de/projects/amdis
 *
 * Authors: 
 * Simon Vey, Thomas Witkowski, Andreas Naumann, Simon Praetorius, et al.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 * This file is part of AMDiS
 *
 * See also license.opensource.txt in the distribution.
 * 
 ******************************************************************************/


#include "SystemVector.h"
#include "Serializer.h"

namespace AMDiS {

  void SystemVector::serialize(std::ostream &out) 
  {
    int size = static_cast<int>(vectors.size());
    SerUtil::serialize(out, size);
    for (int i = 0; i < size; i++)
      vectors[i]->serialize(out);
  }


  void SystemVector::deserialize(std::istream &in) 
  {
    int size, oldSize = static_cast<int>(vectors.size());
    SerUtil::deserialize(in, size);
    vectors.resize(size);
    for (int i = oldSize; i < size; i++)
      vectors[i] = new DOFVector<double>(componentSpaces[i], "");
    for (int i = 0; i < size; i++)
      vectors[i]->deserialize(in);
  }

}
